Skip to content

Set a template as default for specific delivery modes

PATCH
/notifications/{notificationId}/{channel}/templates/default-selection
curl --request PATCH \
--url https://api.pingram.io/notifications/example/example/templates/default-selection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "templateId": "example", "modes": [ "instant" ] }'
notificationId
required
string

Notification ID

channel
required
string

Channel type

Media type application/json
object
templateId
required
string
modes
required
Array<string>
Allowed values: instant hourly daily weekly monthly

Successful response

Media type application/json
object
envId
required
string
notificationId
required
string
templateId
required
string
channel
required
string
Allowed values: EMAIL INAPP_WEB SMS CALL PUSH WEB_PUSH SLACK
default
required
boolean
isDefaultFor
object
key
additional properties
boolean
Example
{
"channel": "EMAIL"
}

Bad Request - validation errors, invalid input

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Unauthorized

Payment Required - usage limits exceeded

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Internal Server Error

Bad Gateway - provider error

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}